<template>
    <v-card color="basil">
        <v-card-title class="text-center justify-center py-6">
            <h1 class="font-weight-bold display-3 basil--text">OPINIONES</h1>
        </v-card-title>

        <v-tabs
                v-model="tab"
                background-color="transparent"
                color="basil"
                grow
        >
            <v-tab
                    v-for="item in items"
                    :key="item"
            >
                {{ item }}
            </v-tab>
        </v-tabs>

        <v-tabs-items v-model="tab">
            <v-tab-item
                    v-for="item in items"
                    :key="item"
            >

                <v-list>
                    <v-list-item v-for="comment in comments">
                        <v-row>
                            <v-col md="3">
                                <v-card flat
                                        color="#c8cfc8"
                                        dark
                                        max-width="400"
                                        max-height="400">

                                    <v-card-title>{{comment.name}}</v-card-title>

                                    <v-divider class="mx-4"></v-divider>

                                    <v-card-text>
                                        <div class="text--primary">{{comment.description}}</div>
                                        <div class="text--primary">{{comment.box.name}}</div>
                                        <div class="text--primary">{{comment.branchOffice.name}}</div>

                                        <v-chip color="blue" v-if="comment.isGood">Bueno</v-chip>
                                        <v-chip color="red" v-if="!comment.isGood">Malo</v-chip>
                                    </v-card-text>
                                </v-card>
                            </v-col>
                        </v-row>
                    </v-list-item>
                </v-list>
            </v-tab-item>
        </v-tabs-items>
    </v-card>
</template>

<script>
    export default {
        data () {
            return {
                tab: null,
                items: [
                    'Sitio', 'Facebook'
                ],
                comments: []
            }
        },
        mounted() {
            this.getComments();
        },
        methods: {
            getComments(){
                this.comments = JSON.parse(localStorage.getItem("comments"));
            }
        }
    }
</script>

<style>
    .basil--text {
        color: #356859 !important;
    }
</style>
